From: "Joonas Niilola" <juippis@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: sci-electronics/iverilog/
Date: Thu, 18 Jun 2020 12:08:09 +0000 (UTC) [thread overview]
Message-ID: <1592482076.32fa008a2d71310fe7b9004aaf5e9192a5e2b12c.juippis@gentoo> (raw)
commit: 32fa008a2d71310fe7b9004aaf5e9192a5e2b12c
Author: Huang Rui <vowstar <AT> gmail <DOT> com>
AuthorDate: Tue May 19 01:46:32 2020 +0000
Commit: Joonas Niilola <juippis <AT> gentoo <DOT> org>
CommitDate: Thu Jun 18 12:07:56 2020 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=32fa008a
sci-electronics/iverilog: optimize RDEPEND sys-libs/readline
Change sys-libs/readline:0 to sys-libs/readline:=
Readline soname changes between version 7 and 8 so
the runtime link is broken unless the iverilog
ebuild depends on the subslot so portage knows to
trigger a rebuild.
It requires a revbump, so dropped x86 and amd64 stable.
Closes: https://bugs.gentoo.org/721022
Package-Manager: Portage-2.3.99, Repoman-2.3.22
Signed-off-by: Huang Rui <vowstar <AT> gmail.com>
Signed-off-by: Joonas Niilola <juippis <AT> gentoo.org>
sci-electronics/iverilog/iverilog-10.3-r1.ebuild | 75 ++++++++++++++++++++++++
1 file changed, 75 insertions(+)
diff --git a/sci-electronics/iverilog/iverilog-10.3-r1.ebuild b/sci-electronics/iverilog/iverilog-10.3-r1.ebuild
new file mode 100644
index 00000000000..8a107b99189
--- /dev/null
+++ b/sci-electronics/iverilog/iverilog-10.3-r1.ebuild
@@ -0,0 +1,75 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+inherit autotools
+
+GITHUB_PV=$(ver_rs 1- '_')
+
+DESCRIPTION="A Verilog simulation and synthesis tool"
+HOMEPAGE="
+ http://iverilog.icarus.com
+ https://github.com/steveicarus/iverilog
+"
+
+if [[ ${PV} == "9999" ]] ; then
+ inherit git-r3
+ EGIT_REPO_URI="https://github.com/steveicarus/${PN}.git"
+else
+ SRC_URI="https://github.com/steveicarus/${PN}/archive/v${GITHUB_PV}.tar.gz -> ${P}.tar.gz"
+ KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~m68k ~mips ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86"
+ S="${WORKDIR}/${PN}-${GITHUB_PV}"
+fi
+
+LICENSE="LGPL-2.1"
+SLOT="0"
+IUSE="examples"
+
+# If you are building from git, you will also need gperf to generate
+# the configure scripts.
+RDEPEND="
+ sys-libs/readline:=
+ sys-libs/zlib
+"
+
+DEPEND="
+ dev-util/gperf
+ sys-devel/bison
+ sys-devel/flex
+ ${RDEPEND}
+"
+
+PATCHES=(
+ "${FILESDIR}"/${PN}-10.3-file-missing.patch #705412
+ "${FILESDIR}"/${PN}-10.3-fno-common.patch #706366
+)
+
+src_prepare() {
+ default
+
+ # From upstreams autoconf.sh, to make it utilize the autotools eclass
+ # Here translate the autoconf.sh, equivalent to the following code
+ # > sh autoconf.sh
+
+ # Autoconf in root ...
+ eautoconf --force
+ # Precompiling lexor_keyword.gperf
+ gperf -o -i 7 -C -k 1-4,6,9,\$ -H keyword_hash -N check_identifier -t ./lexor_keyword.gperf > lexor_keyword.cc || die
+ # Precompiling vhdlpp/lexor_keyword.gperf
+ cd vhdlpp || die
+ gperf -o -i 7 --ignore-case -C -k 1-4,6,9,\$ -H keyword_hash -N check_identifier -t ./lexor_keyword.gperf > lexor_keyword.cc || die
+}
+
+src_install() {
+ local DOCS=( *.txt )
+ # Default build fails with parallel jobs,
+ # https://github.com/steveicarus/iverilog/pull/294
+ emake installdirs DESTDIR="${D}"
+ default
+
+ if use examples; then
+ dodoc -r examples
+ docompress -x /usr/share/doc/${PF}/examples
+ fi
+}
next reply other threads:[~2020-06-18 12:08 UTC|newest]
Thread overview: 34+ messages / expand[flat|nested] mbox.gz Atom feed top
2020-06-18 12:08 Joonas Niilola [this message]
-- strict thread matches above, loose matches on Subject: below --
2023-12-09 17:01 [gentoo-commits] repo/gentoo:master commit in: sci-electronics/iverilog/ Arthur Zamarin
2023-06-25 4:48 Sam James
2023-06-25 3:13 Sam James
2023-04-10 7:37 Joonas Niilola
2023-04-10 7:37 Joonas Niilola
2021-02-28 21:37 Sam James
2021-02-28 21:37 Sam James
2021-02-28 17:39 Sam James
2021-02-28 17:39 Sam James
2021-02-27 17:08 Sam James
2021-02-25 13:54 Agostino Sarubbo
2020-10-17 16:41 Joonas Niilola
2020-10-17 16:41 Joonas Niilola
2020-10-17 16:41 Joonas Niilola
2020-10-11 9:30 Joonas Niilola
2020-10-11 9:30 Joonas Niilola
2020-10-11 9:30 Joonas Niilola
2020-09-14 18:36 Sam James
2020-09-14 18:26 Sam James
2020-09-14 18:26 Sam James
2020-06-29 6:24 Agostino Sarubbo
2020-06-28 20:41 Agostino Sarubbo
2020-06-18 12:08 Joonas Niilola
2020-03-22 10:37 Agostino Sarubbo
2020-03-22 8:51 Mikle Kolyada
2020-02-18 10:07 Sergei Trofimovich
2020-02-18 10:07 Sergei Trofimovich
2020-01-07 6:20 Joonas Niilola
2020-01-07 6:20 Joonas Niilola
2020-01-07 6:20 Joonas Niilola
2020-01-07 6:20 Joonas Niilola
2020-01-05 10:10 Joonas Niilola
2018-01-26 21:36 David Seifert
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=1592482076.32fa008a2d71310fe7b9004aaf5e9192a5e2b12c.juippis@gentoo \
--to=juippis@gentoo.org \
--cc=gentoo-commits@lists.gentoo.org \
--cc=gentoo-dev@lists.gentoo.org \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox